1. Types
2. vcenter
3. vm
4. hardware
5. ethernet

## vcenter vm hardware ethernet: create spec

The `create_spec` structure provides a specification for the configuration of a newly-created virtual Ethernet adapter.

### Representations:

- JSON
- XML

{
"allow_guest_control": true,
"backing": {
"distributed_port": "string",
"network": "obj-103",
"type": "STANDARD_PORTGROUP"
},
"mac_address": "string",
"mac_type": "MANUAL",
"pci_slot_number": 1,
"start_connected": true,
"type": "E1000",
"upt_compatibility_enabled": true,
"wake_on_lan_enabled": true
}
<?xml version="1.0" ?>
<ns0:CreateSpec xmlns:ns0="http://vmware.com/vcenter/vm/hardware/ethernet" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<pci_slot_number>1</pci_slot_number>
<mac_address>string</mac_address>
<upt_compatibility_enabled>true</upt_compatibility_enabled>
<mac_type>MANUAL</mac_type>
<allow_guest_control>true</allow_guest_control>
<type>E1000</type>
<backing>
<distributed_port>string</distributed_port>
<type>STANDARD_PORTGROUP</type>
<network>obj-103</network>
</backing>
<wake_on_lan_enabled>true</wake_on_lan_enabled>
<start_connected>true</start_connected>
</ns0:CreateSpec>

#### Attributes:

Name | Type | Description
--- | --- | ---
Optional
type | string | Ethernet adapter emulation type. Optional. If unset, defaults to a guest-specific type.
upt_compatibility_enabled | boolean | Flag indicating whether Universal Pass-Through (UPT) compatibility is enabled on this virtual Ethernet adapter. Optional. It is only relevant when type has value VMXNET3. If unset, defaults to false.
mac_type | string | MAC address type. Optional. If unset, defaults to GENERATED.
mac_address | string | MAC address. Optional. It is only relevant when mac_type has value MANUAL. Workaround for PR1459647.
pci_slot_number | long | Address of the virtual Ethernet adapter on the PCI bus. If the PCI address is invalid, the server will change when it the VM is started or as the device is hot added. Optional. If unset, the server will choose an available address when the virtual machine is powered on.
wake_on_lan_enabled | boolean | Flag indicating whether wake-on-LAN is enabled on this virtual Ethernet adapter. Optional. Defaults to false if unset.
backing | backing_spec | Physical resource backing for the virtual Ethernet adapter. Optional. If unset, the system may try to find an appropriate backing. If one is not found, the request will fail.
start_connected | boolean | Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on. Optional. Defaults to false if unset.
allow_guest_control | boolean | Flag indicating whether the guest can connect and disconnect the device. Optional. Defaults to false if unset.